# DataType.DataTypeWithFormat (ARX GUI Documentation)

org.deidentifier.arx

## Interface DataType.DataTypeWithFormat

- All Known Implementing Classes:
    DataType.ARXDate, DataType.ARXDecimal, DataType.ARXInteger, DataType.ARXOrderedString
  Enclosing class:
    DataType<T>

      public static interface DataType.DataTypeWithFormat

  An interface for data types with format.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()`
    `java.util.Locale` | `getLocale()`

- - ### Method Detail

    - #### getFormat

          java.lang.String getFormat()

      Returns:

    - #### getLocale

          java.util.Locale getLocale()

      Returns: